package pathgame.algorithm;

public class Coord {
    private int x, y;
    private boolean boatTile = false;

    Coord(int x, int y) {
        this.x = x;
        this.y = y;
    }

    Coord(int x, int y, boolean boatTile) {
        this.x = x;
        this.y = y;
        this.boatTile = boatTile;
    }

    int getX() {
        return x;
    }

    int getY() {
        return y;
    }

    public void changeX(int x) {
        this.x += x;
    }

    public void changeY(int y) {
        this.y += y;
    }

    public void setCoord(int x, int y) {
        this.x = x;
        this.y = y;
    }

    public boolean isBoatTile() {
        return boatTile;
    }

    public void setBoatTile(boolean boatTile) {
        this.boatTile = boatTile;
    }
}
